tomcat-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 41491] New: - javascript error when I use tomcat 4.1.29 and working fime with tomcat 4.03
Date Mon, 29 Jan 2007 20:32:03 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG·
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://issues.apache.org/bugzilla/show_bug.cgi?id=41491>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND·
INSERTED IN THE BUG DATABASE.

http://issues.apache.org/bugzilla/show_bug.cgi?id=41491

           Summary: javascript error when I use tomcat 4.1.29 and working
                    fime with tomcat 4.03
           Product: Tomcat 4
           Version: 4.1.29
          Platform: Other
        OS/Version: Windows 2000
            Status: NEW
          Severity: critical
          Priority: P2
         Component: Unknown
        AssignedTo: tomcat-dev@jakarta.apache.org
        ReportedBy: c.hari@yahoo.com


Hi,
I have a strange problem.
I am enabling a text box on selecting a dropdown.
It works fine when I run the application on tomcat 4.0.3, but when I deploy the 
application on tomcat 4.1.29 and 5.0 The text box doesn't get enabled and gives 
a java script error saying syntax error an the line it shows which has error 
is :
document.forma.f_801.className='';


My code looks like this:

if(document.forma.f_800.options[document.forma.f_800.selectedIndex].value=='8') 
{
                  alert('Please select reason for Hold!!');
                  document.forma.f_801.disabled=false;
                  document.forma.f_801.className='';
                  document.forma.f_801.focus();
                  document.all.id_801.style.cssText='background-image:url
(required.gif); background-position:top right; background-repeat:no-repeat;';

                  document.forma.f_2163.disabled=false;
                  document.forma.f_2163.className='';
...........etc



Why is not working on tomcat 4.1 and above and no problem in lower version.
Please let me know the solution.

Thanks
Hari

-- 
Configure bugmail: http://issues.apache.org/bugzilla/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug, or are watching the assignee.

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org


Mime
View raw message